petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexCreateDefaultReferenceTree

create a reference tree for isotropic hierarchical mesh refinement.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateDefaultReferenceTree(MPI_Comm comm, PetscInt dim, PetscBool simplex, DM *ref)

Collective on comm Many br

### Input Parameters

| comm | - the MPI communicator Many br
| dim | - the spatial dimension Many br
| simplex | - Flag for simplex, otherwise use a tensor-product cell Many br

### Output Parameters

ref -the reference tree DMPlex object Many br

Many br

### Keywords

reference cell

### See Also

DMPlexSetReferenceTree(), DMPlexGetReferenceTree()

Level:intermediate
Location:src/dm/impls/plex/plextree.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages